import { HostedWidget } from "../model/HostedWidget";
import { WidgetParams } from "../model/WidgetParams";
export declare class HostedWidgetApi {
    static readonly REMOVE_HOSTED_WIDGET = "remove-hosted-widget";
    static readonly REMOVE_HOSTED_WIDGET_BY_NAME = "remove-hosted-widget-by-name";
    static readonly GET_HOSTED_WIDGETS = "get-hosted-widgets";
    static readonly GET_HOSTED_WIDGET = "get-hosted-widget";
    static readonly OPEN_DEV_TOOLS = "open-dev-tools";
    static readonly REGISTER_ACTIVE_SHORTCUT = "register-active-shortcut";
    static readonly SET_PROXY = "SET_PROXY";
    static readonly UPDATE = "UPDATE";
    static readonly OPEN_CONFIG_ROUTE = "open-config-route";
    /**
     * 移除组件
     * @param id
     */
    static removeHostedWidget(id: string): Promise<any>;
    /**
     * 通过组件名移除已添加的组件
     * @param name  组件名
     */
    static removeHostedWidgetByName(name: string): Promise<HostedWidget[]>;
    /**
     * 获取已添加的组件
     * @param name  组件名，可以不传
     */
    static getHostedWidgets(name?: string): Promise<HostedWidget[]>;
    static getHostedWidget(id: string): Promise<HostedWidget>;
    /**
     * Opens the dev tools for a widget with the specified ID.
     *
     * @param {string} widgetId - The ID of the widget to open the dev tools for.
     * @return {Promise} A Promise that resolves when the dev tools are opened.
     */
    static openDevTools(widgetId: string): Promise<any>;
    static openConfigRoute(widgetId: string, params?: WidgetParams): Promise<any>;
    /**
     * 注册激活、呼出、置顶组件快捷键
     * @param widgetId  组件id
     * @param shortcut  如果传空或者不传，则会取消快捷键。更多快捷键配置，请查看Accelerator用法
     *                  https://www.electronjs.org/docs/latest/api/accelerator
     */
    static registerActiveShortcut(widgetId: string, shortcut?: string): Promise<boolean>;
    static setProxy(widgetId: string, proxy: string): Promise<boolean>;
}
